#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : config.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

# My project
PROJECTNAME = "TPArtist"

# Globals
product_globals = globals()


# My configlets 
CONFIGLETS = (
    {'id'           : PROJECTNAME,
     'name'         : 'Artists management',
     'action'       : 'string:${portal_url}/prefs_TPArtist_edit_form',
     'condition'    : '',
     'category'     : 'Products',
     'visible'      : 1,
     'appId'        : PROJECTNAME,
     'permission'   : 'Manage portal',
     'imageUrl'     : 'artist_tool.gif' },
    )

# Types using portal factory
FACTORY = ('Artist',
           'Album',
           'Track',
           'Review',)

# Types to hide from navigation
HIDDEN = ('Review',)

# Base vocabulary
STYLES = ('blues',
          'classical',
          'country',
          'folk',
          'jazz',
          'misc',
          'newage',
          'reggae',
          'rock',
          'soundtrack',)

MEDIAS = ('cd',
          'double cd',
          'mini disc',
          'tape',
          'vinyl',)
